---
title: "rclone completion"
description: "Output completion script for a given shell."
slug: rclone_completion
url: /commands/rclone_completion/
versionIntroduced: v1.33
# autogenerated - DO NOT EDIT, instead edit the source code in cmd/completion/ and as part of making a release run "make commanddocs"
---
# rclone completion

Output completion script for a given shell.

## Synopsis


Generates a shell completion script for rclone.
Run with `--help` to list the supported shells.


## Options

```
  -h, --help   help for completion
```


See the [global flags page](/flags/) for global options not listed here.

# SEE ALSO

* [rclone](/commands/rclone/)	 - Show help for rclone commands, flags and backends.
* [rclone completion bash](/commands/rclone_completion_bash/)	 - Output bash completion script for rclone.
* [rclone completion fish](/commands/rclone_completion_fish/)	 - Output fish completion script for rclone.
* [rclone completion powershell](/commands/rclone_completion_powershell/)	 - Output powershell completion script for rclone.
* [rclone completion zsh](/commands/rclone_completion_zsh/)	 - Output zsh completion script for rclone.

